/*
 Theme Name:     twentytwentyfour-child
 Theme URI:      https://peppernet.ch
 Description:    Child Theme Twentytwenty-Four
 Author:         Wordpress.org
 Author URI:     https://wordpress.org
 Template:       twentytwentyfour
 Version:        1.0.0
*/


/* =Theme customization starts here
------------------------------------------------------- */

/* A L L G E M E I N E  D E K L A R A T I O N E N -------*/
* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	font-size: 100%;
}
:root {
	--link-color:#0e8bd8;
	--bg-color: rgb(245, 245, 245);
	--title-color: #5883a2;
}
main h1 {
	color: var(--title-color);
	font-weight:300;
}
h1.wp-block-post-title{
	display: none;
}
.entry-content p {
	font-size: 1em;
	color:#4a4a4a;
}
.entry-content a {
	color:var(--link-color);
}
main {
	min-height: 80vh;
	padding-bottom:100px;
	background-color:#fff;
}
main h1 {
	padding:30px 0;
}
main a {
	text-decoration:none;
	padding-bottom:2px;
}
main a:hover{
	text-decoration:none;
	border-bottom:2px solid var(--link-color);
}
a:focus {
	   outline: none;
    box-shadow: none;
}
/* H E A D E R------------------------------------------*/
header .wp-block-group.kopf {
	display: flex;
	position: relative;
	height:140px;
	background-color: var(--bg-color);
	box-shadow: 0px 15px 45px #333!important;
	z-index:1;
}
header .wp-block-site-logo img {
	margin:8px 0 8px 8px; 
	flex-grow: 1;
} 
header .kopf h1.stiftung a {
	display:block;
	font-size: 1em;
	min-width: 200px;
	text-decoration: none;
	color: #000;
	flex-grow:2;
}
header.wp-block-template-part .wp-block-group.kopf .wp-block-group.main-nav {
	position:absolute;
	flex-grow:4;
	background-color: var(--bg-color);
	width: 440px;
	height:35px;
	right:40px;
	bottom:5px;
} 

/* N A V I G A T I O N ----------------------------------------*/

header .wp-block-group.main-nav {
	background-color:var(--bg-color)!important;
}
header .wp-block-navigation__responsive-close span.wp-block-navigation-item__label:hover{	
border-top: 3px solid var(--link-color)!important;
}
header li.wp-block-navigation-item a:hover {
	text-decoration: none;
} 
header li.wp-block-navigation-item a  {
	font-size: 1.05em!important;
	v
}
header .wp-block-navigation-item__label {
	letter-spacing: 0.1cap;
}
header li.wp-block-navigation-item.current-menu-item a {
	border-top: 3px solid var(--link-color);
}
li:has(.current-menu-item) > li.current-menu-ancestor span.wp-block-navigation-item__label {
	border-top: 3px solid var(--link-color)!important;	
}
ul .wp-block-navigation__submenu-container a span.wp-block-navigation-item__label:hover{
	border-top: 0px solid var(--link-color)!important;
}
.wp-block-navigation a:focus,
.wp-block-navigation a:focus-visible,
.wp-block-navigation__responsive-container-open:focus,
.wp-block-navigation__responsive-container-open:focus-visible,
.wp-block-navigation-item__content:focus, .wp-block-navigation-item__content:focus-visible,
.wp-block-heading:focus, .wp-block-heading:focus-visible, .wp-block-navigation button:focus {
    outline: none!important;
    box-shadow: none!important;
}
/* Nur im Overlay-/Mobilmenü der Navigation */
.wp-block-navigation .wp-block-navigation__submenu-container a span:focus,
.wp-block-navigation .wp-block-navigation__submenu-container button:focus {
  outline: none !important;
  box-shadow: none !important;
}
header .wp-block-group.kopf .main-nav ul.wp-block-navigation__submenu-container{
	left:0!important; 
	right:0!important;
	margin-top:9px;
}
.wp-block-navigation-submenu a.wp-block-navigation-item__content{
	border:0px!important;
}
.wp-block-navigation .has-child .wp-block-navigation__submenu-container > .wp-block-navigation-item>.wp-block-navigation-item__content{
	padding: 5px;
}
ul.wp-block-navigation__submenu-container li a:hover {
	border-top:0px!important;
	background-color:#ccc;
}
.current-menu-item a span.wp-block-navigation-item__label {
	border-top:0px solid var(--link-color)!important;
}

.wp-block-navigation__responsive-container-close svg, .wp-block-navigation__responsive-container-open svg {
	height: 40px;
	width: 40px;
	margin-bottom: 15px;
}
/* F O O T E R  ----------------------------------------------------*/
footer.wp-block-template-part{
	background-color: var(--bg-color);
	height:100px;
}
footer .wp-block-group.fuss{
	display: flex;
}
footer .wp-block-navigation  {
	width: 250px;
	padding-right:30px;
	justify-content:flex-end;
	text-decoration: none;
}
footer li.wp-block-navigation-link a span{
	color:var(--link-color);
}
footer .wp-block-navigation__container{
	justify-content: flex-end;
}
footer p.copy {
	padding-left: 30px;
}
footer a {
	padding-bottom:2px;
}
footer a:hover{
	text-decoration:none;
	border-bottom:2px solid var(--link-color);
}

/* ----- S  E  I  T  E  N ---------------------------------------*/

/* H O M E  ----------------------------------------------------*/
.wp-block-group.statement{
	margin-top: 100px;
}
/* N E U  BLock mit 3 Boxen und Hover-Funktion in HTML*/
.wp-block-cover {
	position:relative;
	box-shadow:1px 10px 40px #666;
	border-radius:5px;
}
.box-links p{
	padding:8px 0px;
}
.wp-block-cover, .wp-block-cover-image{
	padding:0;
	position:relative!important;
}
.wp-block-cover__inner-container{
	padding:5px 0;
	width:100%;
	height: 70px; 
	position:absolute!important;
	bottom:0px;
	left:0;
	background-color:#444;
	opacity:0.7;
}

/*  Erweiterung der Clickbarkeit des Containers */
.box-clickable {
  position: relative;
}

/* Link bekommt ein unsichtbares Overlay über die ganze Karte */
.box-clickable .box-main-link::after {
  content: "";
  position: absolute;
  inset: 0;         
  z-index: 10;
}

/* Cover-Bild standard in Farbe, bei Hover monochrom */
.cover-hover-mono .wp-block-cover__image-background,
.cover-hover-mono img {
  filter: grayscale(100%)!important;
  -webkit-filter: grayscale(100%)!important;
  transition: filter 0.5s ease-in-out, -webkit-filter 0.5s ease-in-out;
}
.cover-hover-mono:hover .wp-block-cover__image-background, 
.cover-hover-mono:hover img {
  filter: grayscale(0%)!important;
  -webkit-filter: grayscale(0%)!important;
  /* opacity:0.4; */
}
.wp-block-group.box-links{
	position:absolute;
	width:100%;
	bottom:0;
	left:0;
}
.wp-block-cover__inner-container p a {
	color:#fff;
	text-decoration: none;
	letter-spacing: 0.15em;
}	
/* S T I F T E R  --------------------------------------------------*/ 
.page-id-48 p{
	line-height: 1.8em;
}
p.anfuehren, p.abfuehren{
	font-family: Gorgia, serif;
	font-size: 5em;
	font-weight: 700;
	color: #bbb;
}
p.anfuehren {
	margin-bottom:-20px;
}
p.abfuehren {
	margin-top:-90px;
	margin-right:10px;
	text-align: right;
}
span.inversal {
	font-size:2.4em;
	font-weight: 500;
}
p.legende {
	font-size: 0.85em;
	line-height: 1.3em;
}

/* S T I F T U N G S Z W E C K --------------------------------------------------*/ 
.list li{
	position: relative;
}
ul.list li{
list-style-type: none;
padding:15px 0;
}
ul.list li::before, p.quadrat::before{
content: ""; 
display: inline-block;
width: 0.8em;
height: 0.8em;
background-color: #81a062; 
margin-right: 0.9em; 
vertical-align: middle; 
}

/* G E S U C H E --------------------------------------------------*/ 
p.quadrat::before {
content: ""; 
display: inline-block;
width: 0.8em;
height: 0.8em;
background-color: #81a062; 
margin-right: 0.9em; 
vertical-align: middle; 

}
.content p.zweck {
	font-size: 1.8em!important;
	line-height: 1.8em!important;
}

/* K O N T A K T  ----------------------------------------------------*/





/*-------------------------------M E D I A Q U E R i ES ----------------- -------------------------------------------------------------------------

------------------------------------------------------------------------*/

/* RESPONSIVE ALLE MOBILE GERÄTE ----------------------------*/
@media only screen and (max-width:980px) {

}

/*-----------------------------------------------------------------------
 R E S P O N S I V E - HANDY SMALL
 ---------------------------------------------------------------------- */
@media only screen and (max-width:479px) {

}

/*-------------------------------------------------------------------------
R E S P O N S I V E --- HANDY -------------------------------------------------------------------------*/
@media only screen and (max-width: 767px) {

header .wp-block-navigation-item.has-child ul.wp-block-navigation__submenu-container.stift.wp-block-navigation-submenu {
	padding-top:2px;
}
li.wp-block-navigation-item.has-medium-font-size.has-child.open-on-click.stift.wp-block-navigation-submenu.current-menu-ancestor:focus{
	outline: none!important;
    box-shadow: none!important;
}
.page-id-45 figure.wp-block-media-text__media {
	display:flex;
	align-items:center!important;
	justify-content: center!important;
}
.page-id-45 figure.wp-block-media-text__media img {
	display:block;
	margin-left:auto!important;
	margin-right:auto!important;
	width:65%;
	height: auto;
}
.page-id-45 .wp-block-media-text__content p {
	text-align:center;
	padding:5px 0 20px 0;
}
.page-id-45 main .wp-block-spacer {
	height:30px!important;
}
  .wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: flex !important;
}
/* H O M E ----------------*/
.wp-block-group.intro {
display:block;
}

}

/*--------------------------------------------------------------------------
R E S P O N S I V E  --- TABLET UND DESKTOP SCHMAL ---------------------------------------------------------------------------*/
@media only screen and (min-width: 768px) and (max-width:980px) {

}

/* ------------------------------------------------------------------------
R E S P O N S I V E --- DESKTOP
--------------------------------------------------------------------------*/
@media only screen and (min-width: 981px) (max-width 1260) {

}